local HealBot_Plugin_luVars={}
local HealBot_Plugin_Config={}
local HealBot_Plugin={}
HealBot_Plugin_luVars["frameInit"]=false

function HealBot_Plugin_Performance_Init()
	if not HealBot_Plugin_luVars["pluginInit"] then
		table.foreach(HealBot_Plugin_PerformanceDefaults, function (key,val)
			if HealBot_Plugin_Performance[key]==nil then
				HealBot_Plugin_Performance[key] = val;
			end
		end);
		table.foreach(HealBot_Plugin_Performance_ConfigDefaults, function (key,val)
			if HealBot_Plugin_Performance_Config[key]==nil then
				HealBot_Plugin_Performance_Config[key] = val;
			end
		end);
		HealBot_Plugin_Config=HealBot_Plugin_Performance_Config
		HealBot_Plugin=HealBot_Plugin_Performance
		if HealBot_Plugin.Profile~="Global" then HealBot_Plugin.Profile=UnitName("player") end

		HealBot_Plugin_luVars["pluginInit"]=true
	end
	HealBot_Plugin_Performance_UpdateAll()
    
end

function HealBot_Plugin_Performance_UpdateAll()
    HealBot_Options_PerfPlugin_adj(HealBot_Plugin_Config.FluidFreqAdj[HealBot_Plugin.Profile], 
                                   HealBot_Plugin_Config.FlashFreqAdj[HealBot_Plugin.Profile], 
                                   HealBot_Plugin_Config.StateFreqAdj[HealBot_Plugin.Profile], 
                                   HealBot_Plugin_Config.cpuAdj[HealBot_Plugin.Profile])
end

function HealBot_Plugin_Performance_Shutdown()
    HealBot_Options_PerfPlugin_adj(3, 3, 3, 3)
end
